%define url_ver %(echo %{version}|cut -d. -f1,2)
%define pitividir %{_prefix}/lib
%define gstapi 1.0

Summary:	Non linear video editor under linux 
Name:		pitivi
Version:	0.93
Release:	3
License:	LGPLv2+
Group:		Video
Url:		http://www.pitivi.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pitivi/%{version}/%{name}-%{version}.tar.xz
Source1:	%{name}.rpmlintrc
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(pycairo)
Requires:	frei0r
Requires:	gnonlin
Requires:	gstreamer%{gstapi}-editing-services
Requires:	python-dbus
Requires:	python-gi
Requires:	python-gi-cairo
Requires:	python-gstreamer%{gstapi}
Requires:	xdg-utils
Requires:	typelib(Clutter)
Requires:	typelib(ClutterGst) = 2.0
Requires:	typelib(Cogl) = 1.0
Requires:	typelib(Cogl) = 2.0
Requires:	typelib(CoglPango) = 1.0
Requires:	typelib(CoglPango) = 2.0
Requires:	typelib(GES)
Requires:	typelib(Gst) = 1.0
Requires:	typelib(GstAudio) = 1.0
Requires:	typelib(GstVideo) = 1.0
Requires:	typelib(GtkClutter)
Requires:	typelib(PangoFT2)
Requires:	gstreamer%{gstapi}-python
Suggests:	gstreamer%{gstapi}-libav
Suggests:	gstreamer%{gstapi}-plugins-good
Suggests:	gstreamer%{gstapi}-plugins-bad
Suggests:	gstreamer%{gstapi}-plugins-ugly
Suggests:	gstreamer%{gstapi}-plugin-ffmpeg
Requires:	gnome-icon-theme-legacy
Requires:	gnome-icon-theme-symbolic

%description
Pitivi is a Non Linear Video Editor using the popular GStreamer media
framework.

%files -f %{name}.lang
%doc AUTHORS NEWS RELEASE
%{py_puresitedir}/%{name}/
%{_datadir}/pitivi/
%{_datadir}/appdata/pitivi.appdata.xml
%{_bindir}/pitivi
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# install python files to %%python_sitelib/pitivi
find . -name Makefile.am -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;
find . -name Makefile.in -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;

%build
./configure --prefix=%{_prefix} --libdir=%{pitividir}
%make

%install
%makeinstall_std
%find_lang %{name} --with-gnome

%check
#gw it currently needs an installed pitivi
#https://bugzilla.gnome.org/show_bug.cgi?id=594985
#xfvb-run make check


%changelog
* Wed Oct 29 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.93-3
+ Revision: e3ab86a
- Requires gnome-icon-theme-legacy


